#ifndef _Handle_PPrsStd_AISPresentation_HeaderFile
#define _Handle_PPrsStd_AISPresentation_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PDF_Attribute_HeaderFile
#include <Handle_PDF_Attribute.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PDF_Attribute);
class PPrsStd_AISPresentation;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PPrsStd_AISPresentation);

class Handle(PPrsStd_AISPresentation) : public Handle(PDF_Attribute) {
  public:

    Handle(PPrsStd_AISPresentation)():Handle(PDF_Attribute)() {} 
    Handle(PPrsStd_AISPresentation)(const Handle(PPrsStd_AISPresentation)& aHandle) : Handle(PDF_Attribute)(aHandle) 
     {
     }

    Handle(PPrsStd_AISPresentation)(const PPrsStd_AISPresentation* anItem) : Handle(PDF_Attribute)((PDF_Attribute *)anItem) 
     {
     }

    Handle(PPrsStd_AISPresentation)& operator=(const Handle(PPrsStd_AISPresentation)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PPrsStd_AISPresentation)& operator=(const PPrsStd_AISPresentation* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PPrsStd_AISPresentation* operator->() const 
     {
      return (PPrsStd_AISPresentation *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PPrsStd_AISPresentation) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
